%define anolis_release 1
%global selinuxtype targeted
%global moduletype contrib
%global modulename mysql

Name:           mysql-selinux
Version:        1.0.5
Release:        %{anolis_release}%{?dist}

License:        GPLv3
URL:            https://github.com/devexp-db/mysql-selinux
Summary:        SELinux policy modules for MySQL and MariaDB packages

Source0:        https://github.com/devexp-db/mysql-selinux/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  selinux-policy-devel
Requires(post): policycoreutils
Requires:       policycoreutils
Requires:       policycoreutils-python-utils
Requires:       libselinux-utils
Requires:       selinux-policy
Requires:       selinux-policy-base

%description
SELinux policy modules for MySQL and MariaDB packages.


%prep
%autosetup -n %{name}-%{version} -p1

%build
make

%install
# install policy modules
install -d %{buildroot}%{_datadir}/selinux/packages
install -m 0644 %{modulename}.pp.bz2 %{buildroot}%{_datadir}/selinux/packages


%pre
%selinux_relabel_pre -s %{selinuxtype}

%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{modulename}.pp.bz2 || :

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename} || :
fi

%posttrans
%selinux_relabel_post -s %{selinuxtype} || :


%files
%defattr(-,root,root,0755)
%license COPYING
%attr(0644,root,root) %{_datadir}/selinux/packages/%{modulename}.pp.bz2
%ghost %verify(not mode md5 size mtime) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}

%changelog
* Fri Jul 22 2022 happy_orange <songnannan@linux.alibaba.com> - 1.0.5-1
- Init pacakge from upstream
